:root{
    --PURPLE-50: oklch(97.7% 0.014 308.299);
    --PURPLE-100: oklch(94.6% 0.033 307.174);
    --PURPLE-200: oklch(90.2% 0.063 306.703);
    --PURPLE-300: oklch(82.7% 0.119 306.383);
    --PURPLE-400: oklch(71.4% 0.203 305.504);
    --PURPLE-500: oklch(62.7% 0.265 303.9);
    --PURPLE-600: oklch(55.8% 0.288 302.321);
    --PURPLE-700: oklch(49.6% 0.265 301.924);
    --PURPLE-800: oklch(43.8% 0.218 303.724);
    --PURPLE-900: oklch(38.1% 0.176 304.987);
    --PURPLE-950: oklch(29.1% 0.149 302.717);

    --NEUTRAL-50: oklch(98.5% 0 0);
    --NEUTRAL-100: oklch(97% 0 0);
    --NEUTRAL-200: oklch(92.2% 0 0);
    --NEUTRAL-300: oklch(87% 0 0);
    --NEUTRAL-400: oklch(70.8% 0 0);
    --NEUTRAL-500: oklch(55.6% 0 0);
    --NEUTRAL-600: oklch(43.9% 0 0);
    --NEUTRAL-700: oklch(37.1% 0 0);
    --NEUTRAL-800: oklch(26.9% 0 0);
    --NEUTRAL-900: oklch(20.5% 0 0);
    --NEUTRAL-950: oklch(14.5% 0 0);

    --SCRIM: rgba(0, 0, 0, 0.32);
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html {
    scroll-behavior: smooth;
}
:where(a:any-link) {
    text-decoration: none;
    color: black;
}

.text--display {
    font-size: 2.25rem;
    font-weight: 400;
    line-height: 1.15;
}
.text--headline {
    font-size: 1.75rem;
    font-weight: 400;
    line-height: 1.3;
}
.text--body {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
}
.text--label {
    font-size: 0.875rem;
    font-weight: 500;
    line-height: 1.43;
    letter-spacing: 0.1px;
}

.app-bar {
    height: 64px;
    width: 100%;
    background-color: var(--NEUTRAL-100);
    text-align: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2;
    box-shadow: -1px 2px 8px var(--SCRIM);
}

.hero {
    width: 100%;
    aspect-ratio: 2 / 3;
    background: url(assets/pexels-emma-bauso-1183828-2253870\ \(4\)\ \(1\).jpg) center / cover no-repeat;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: end;
    gap: 8px;
    color: white;
    text-align: left;
    padding: 16px 16px;
    position: relative;
}
.scrim {
    position: absolute;
    inset: 0 0 0 0;
    /* background: linear-gradient(transparent, var(--SCRIM)); */
    background-color: var(--SCRIM);
}
.z1 {
    z-index: 1;
}
.cta {
    background-color: var(--PURPLE-600);
    color: white;
    height: 56px;
    border-radius: 16px;
    padding: 0 24px;
    display: flex;
    align-items: center;
    gap: 8px;
    align-self: center;
    margin: 16px 0;
    font-weight: bold;
}

.section {
    background-color: var(--NEUTRAL-100);
    padding: 32px 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
}
.card {
    background-color: white;
    border-radius: 12px;
    padding: 16px;
    padding-top: 24px;
    margin: 8px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    box-shadow: -1px 2px 8px var(--SCRIM);
    flex: 0 0 100%;
    scroll-snap-align: center;
}
.purplegradient {
    border-top: 8px solid var(--PURPLE-600);
    background: linear-gradient(to right top, var(--PURPLE-100), var(--PURPLE-300), var(--PURPLE-100));
}
.grey {
    background-color: var(--NEUTRAL-200);
}
.flexrow {
    display: flex;
    gap: 8px;
}
.rating {
    gap: 0;
}
.pill {
    background-color: var(--NEUTRAL-200);
    border-radius: 99px;
    text-align: center;
    padding: 5px 10px;
    width: fit-content;
}
.purple {
    background-color: var(--PURPLE-200);
}
.round {
    border-radius: 99px;
}
.carousel {
    width: 100%;
    padding: 0 16px;
    display: flex;
    overflow-x: scroll;
    scroll-snap-type: x mandatory;
}

.footer {
    text-align: center;
    padding: 16px 16px;
    background-color: var(--NEUTRAL-300);
    color: black;
}
.social {
    display: inline-block;
    height: 48px;
    width: 48px;
    text-align: center;
    align-content: center;
}
.social--chip {
    display: inline-block;
    padding: 8px;
    text-align: center;
    background-color: var(--NEUTRAL-400);
    border-radius: 12px;
    margin: 0 4px;
}
.copyright {
    margin-top: 32px;
}

.overlay {
    float: right;
    position: sticky;
    bottom: 16px;
    right: 8px;
    height: 40px;
    border-radius: 12px;
    padding: 0 16px;
    box-shadow: -1px 2px 4px var(--SCRIM);
}